# Bookshelves.volumes: list

Retrieves volumes in a specific bookshelf for the specified user.
[Try it now](https://developers.google.com/books/docs/v1/reference/bookshelves/volumes/list#try-it).

## Request

### HTTP Request

```
GET https://www.googleapis.com/books/v1/users/userId/bookshelves/shelf/volumes
```

### Parameters

| Parameter Name | Value | Description |
|---|---|---|
| **Required Parameters** |||
| `shelf` | `string` | ID of bookshelf to retrieve volumes. |
| `userId` | `string` | ID of user for whom to retrieve bookshelf volumes. |
| **Optional Parameters** |||
| `maxResults` | `unsigned integer` | Maximum number of results to return |
| `showPreorders` | `boolean` | Set to true to show pre-ordered books. Defaults to false. |
| `source` | `string` | String to identify the originator of this request. |
| `startIndex` | `unsigned integer` | Index of the first element to return (starts at 0) |

### Request Body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "books#volumes",
  "totalItems": integer,
  "items": [
    volumes Resource
  ]
}
```

| Property Name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Resource type. |   |
| `totalItems` | `integer` | Total number of volumes found. This might be greater than the number of volumes returned in this response if results have been paginated. |   |
| `items[]` | `list` | A list of volumes. |   |

## Try It!


Use the explorer below to call this method on live data and see the response.